package com.app.simplitend.chats.mvvm;

import com.stfalcon.chatkit.commons.models.IMessage;
import com.stfalcon.chatkit.commons.models.IUser;

import java.util.Date;

public class Message implements IMessage {

    private final IUser author;
    private final String text;

    private final Date date;

    public Message(IUser user, String text, Date date){
        this.author = user;
        this.text = text;
        this.date = date;
    }

    @Override
    public String getId() {
        return "message_id";
    }

    @Override
    public String getText() {
        return text;
    }

    @Override
    public IUser getUser() {
        return author;
    }

    @Override
    public Date getCreatedAt() {
        return date;
    }
}
